> For the complete documentation index, see [llms.txt](https://docs.delos.financial/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.delos.financial/webhooks/receive-operation.md).

# Receive Operation

### Webhook respond body:

```json
{
  //Unique Event ID
  "hook_id": "string",
  //Webhook Type
  "hook_type": int,
  "Data": {
    "Operation": {
      //Operation unique ID
      "opid": "string",
      //Customer unique ID
      "cuid": "string",
      //Operation flag
      "is_visible": bool,
      //Status of operation
      "status": int,
      //Operation Type
      "type": int,
      //Payment Type
      "payment_type": int,
      "created_at": {
        "seconds": int,
        "nanos": int
      },
      "updated_at": {
        "seconds": int,
        "nanos": int
      },
      //Operation Source requisite
      "source": {
        "account": "string",
        "beneficiar": "string"
      },
      //Operation Destination requisite
      "destination": {
        "account": "string",
        "beneficiar": "string"
      },
      //Operation source amount
      "source_amount": {
        "sum": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        },
        "default": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        }
      },
      //Operation destination amount
      "destination_amount": {
        "sum": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        },
        "default": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        }
      },
      //Comission amount
      "commission_amount": {
        "sum": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        },
        "default": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        }
      },
      //Current balance of source account on operation moment
      "current_balance_amount": {
        "sum": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        },
        "default": {
          "currency_code": "string",
          "units": int,
          "nanos": int
        }
      },
      "comment": "string",
      "reference": "string",
      "is_manual": bool
    }
  }
}
```

#### Example webhook body:

```json
{
  "hook_id": "f1c37cdc-1c64-466c-bd3f-306c000e6b36",
  "hook_type": 1,
  "Data": {
    "Operation": {
      "cuid": "DnuQu6n-dP25-YKJ78eiuzL",
      "opid": "977d614e-6ca8-492e-97b5-9e7f0f73d86c",
      "type": 3,
      "source": {
        "account": "U1v72kDJdQw"
      },
      "status": 1,
      "created_at": {
        "seconds": 1734589267
      },
      "is_visible": true,
      "updated_at": {
        "nanos": 221000000,
        "seconds": 1734589267
      },
      "destination": {
        "beneficiar": "U6OFFpEoEdHA"
      },
      "payment_type": 3,
      "source_amount": {
        "sum": {
          "nanos": 200000000,
          "units": 123,
          "currency_code": "USD"
        },
        "default": {
          "nanos": 200000000,
          "units": 123,
          "currency_code": "USD"
        }
      },
      "commission_amount": {
        "sum": {
          "currency_code": "USD"
        },
        "default": {
          "currency_code": "USD"
        }
      },
      "destination_amount": {
        "sum": {
          "nanos": 200000000,
          "units": 123,
          "currency_code": "USD"
        },
        "default": {
          "nanos": 200000000,
          "units": 123,
          "currency_code": "USD"
        }
      },
      "current_balance_amount": {
        "sum": {
          "units": 295,
          "currency_code": "USD"
        },
        "default": {
          "units": 295,
          "currency_code": "USD"
        }
      }
    }
  }
}
```

### Statuses

* NEW = 0 : Flow status: Created new
* PENDING = 1 : Flow status: Operation in pending mode (wait)
* WORKING = 2 : Flow status: Operation in progress
* SUCCESS = 3 : Result status: Operation is success
* FAIL = 4 : Result status: Operation is fail
* CANCELED = 5 : Result status: Operation canceled

### Operation Types

* DEPOSIT = 1 : Deposit operation
* TRANSFER = 2 : Transfer operation
* WITHDRAW = 3 : Withdrawal operation
* COMMISSION = 4 : Commission operation
* EXCHANGE = 5 : Exchange operation

### Payment Types

**Note:** This types use only WITHDRAW type operation. For others operation use 0 (EMPTY) by default.

* EMPTY = 0 : Default payment type. For operations that are not withdrawals.
* ACH = 1 :
* FEDWIRE = 2 : Fedwire money transfer system
* SWIFT = 3 : Swift money transfer system
* CRYPTO = 4 : Cryptocurrency transfers
* EFT = 5 : EFT money transfer system
* SEPA = 6 : European SEPA money transfer system
* IMPS = 7 : IMPS money transfer system

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.delos.financial/webhooks/receive-operation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
